<?php $unique_id = esc_attr( uniqid( 'search-form-' ) ); ?>

<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<input type="search" id="<?php echo $unique_id; ?>" class="search-field" placeholder="<?php echo esc_attr_x( 'サイト内検索 &hellip;', 'placeholder', 'xsdesign1879' ); ?>" value="<?php echo get_search_query(); ?>" name="s"/>
	<button type="submit" class="search-submit"><span class="screen-reader-text"><?php echo _x( 'Search', 'submit button', 'xsdesign1879' ); ?></span></button>
</form>